---
title: BluetoothDevice.uuids
slug: Web/API/BluetoothDevice/uuids
tags:
  - API
  - BluetoothDevice
  - Experimental
  - Property
  - Reference
  - UUIDs
  - Web Bluetooth API
---
<div>{{APIRef("Bluetooth API")}}{{obsolete_header}}</div>

<div class="notecard note">
<p>Use {{domxref("BluetoothRemoteGATTServer.getPrimaryServices")}} instead.</p>
</div>

<p><span class="seoSummary">The <strong><code>BluetoothDevice.uuids</code></strong> read-only property lists the UUIDs of GATT services provided by the device, that the current origin is allowed to access.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>uuids</em>[] = <em>instanceOfBluetoothDevice</em>.uuids</pre>

<h2 id="Returns">Returns</h2>

<p>An {{JSxRef("Array")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothDevice.uuids")}}</p>
